Bug 500569 - [si_LK][GPOS] Delete 0D[0-F][A-D] 0DDA need to press backspace key three times
[si_LK][GPOS] Delete 0D[0-F][A-D] 0DDA need to press backspace key three times
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 06:35 EDT by koka xiong
Modified: 2009-12-09 04:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 04:21:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description koka xiong 2009-05-13 06:35:21 EDT
Description of problem:
In gedit input U+0D9A U+0DDA කේ,we need to press Backspace key three times to delete the whole char

Version-Release number of selected component (if applicable):
pango-devel-1.22.1-1.fc10.i386
pango-1.22.1-1.fc10.i386
pangomm-2.14.0-2.fc10.i386

How reproducible:
always

Steps to Reproduce:
1.In gedit input U+0D9A U+0DDA කේ
2.Press Backspace key to delete the whole char

Actual results:
We need press backspce key three times to delete the whole char.

Expected results:
We should press backspace key twice to delete the whole char.

Additional info:
   1. U+0D9A U+0DDA  කේ
   2. U+0D9C U+0DDA  ගේ 
   3. U+0DAD U+0DDA  තේ
   4. U+0DA7 U+0DDA  ටේ 
   5. U+0DA9 U+0DDA  ඩේ
   6. U+0DA0 U+0DDA  චේ
   7. U+0DA2 U+0DDA  ඡේ
   8. U+0DAB U+0DDA  ණේ
   9. U+0DB4 U+0DDA  පේ
   10.U+0DAF U+0DDA  දේ
   11.U+0DB3 U+0DDA  ඳේ
   12.U+0DB0 U+0DDA  ධේ
   13.U+0DB6 U+0DDA  බේ
   14.U+0DB8 U+0DDA  මේ
   15.U+0DC0 U+0DDA  වේ
   16.U+0DC4 U+0DDA  හේ 
   17.U+0DBB U+0DDA  රේ
   18.U+0DC6 U+0DDA  ෆේ
   19.U+0DC5 U+0DDA  ළේ
   20.U+0DBD U+0DDA  ලේ
   21.U+0DBA U+0DDA  යේ
   22.U+0DC3 U+0DDA  සේ
   23.U+0DC1 U+0DDA  ශේ
   24.U+0DC2 U+0DDA  ෂේ
   25.U+0DB9 U+0DDA  ඹේ
   26.U+0DB5 U+0DDA  ඵේ
   27.U+0DAE U+0DDA  ථේ
Comment 1 Bug Zapper 2009-11-18 06:56:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Parag Nemade 2009-12-09 04:21:29 EST
This bug is not valid. See Unicode chart http://www.unicode.org/charts/PDF/U0D80.pdf where you can see U0DDA itself composed of U0DD9 and U0DCA

So we need to press 3 times backspace.

Note You need to log in before you can comment on or make changes to this bug.